
#include "font_tiny.h"

#define r(x) ((U8)~0x##x)
#define n(x) ((U8) 0x##x)
#define N(m,a,b,c,d,e,f) {m(a), m(b), m(c), m(d), m(e), m(f)}

const U8 font_tiny[256][FONT_TINY_H]=
{
/* \x00 */ N(n,0,0,0,0,0,0),
/* \x01 */ N(n,0,0,0,0,0,0),
/* \x02 */ N(n,0,0,0,0,0,0),
/* \x03 */ N(n,0,0,0,0,0,0),
/* \x04 */ N(n,0,0,0,0,0,0),
/* \x05 */ N(n,0,0,0,0,0,0),
/* \x06 */ N(n,0,0,0,0,0,0),
/* \x07 */ N(n,0,0,0,0,0,0),
/* \x08 */ N(n,0,0,0,0,0,0),
/* \x09 */ N(n,0,0,0,0,0,0),
/* \n   */ N(r,0,0,0,0,0,0),
/* \x0b */ N(n,0,0,0,0,0,0),
/* \x0c */ N(n,0,0,0,0,0,0),
/* \r   */ N(r,0,0,0,0,0,0),
/* \x0e */ N(n,0,0,0,0,0,0),
/* \x0f */ N(n,0,0,0,0,0,0),
/* \x10 */ N(n,0,0,0,0,0,0),
/* \x11 */ N(n,0,0,0,0,0,0),
/* \x12 */ N(n,0,0,0,0,0,0),
/* \x13 */ N(n,0,0,0,0,0,0),
/* \x14 */ N(n,0,0,0,0,0,0),
/* \x15 */ N(n,0,0,0,0,0,0),
/* \x16 */ N(n,0,0,0,0,0,0),
/* \x17 */ N(n,0,0,0,0,0,0),
/* \x18 */ N(n,0,0,0,0,0,0),
/* \x19 */ N(n,0,0,0,0,0,0),
/* \x1a */ N(n,0,0,0,0,0,0),
/* \x1b */ N(n,0,0,0,0,0,0),
/* \x1c */ N(n,0,0,0,0,0,0),
/* \x1d */ N(n,0,0,0,0,0,0),
/* \x1e */ N(n,0,0,0,0,0,0),
/* \x1f */ N(n,0,0,0,0,0,0),
/*      */ N(n,0,0,0,0,0,0),
/*  !   */ N(n,2,2,2,0,2,0),
/*  "   */ N(n,5,5,0,0,0,0),
/*  #   */ N(n,0,0,0,0,0,0),
/*  $   */ N(n,2,3,7,6,2,0),
/*  %   */ N(n,0,0,0,0,0,0),
/*  &   */ N(n,0,0,0,0,0,0),
/*  '   */ N(n,2,2,0,0,0,0),
/*  (   */ N(n,4,2,2,2,4,0),
/*  )   */ N(n,1,2,2,2,1,0),
/*  *   */ N(n,0,0,0,0,0,0),
/*  +   */ N(n,0,2,7,2,0,0),
/*  ,   */ N(n,0,0,0,2,1,0),
/*  -   */ N(n,0,0,7,0,0,0),
/*  .   */ N(n,0,0,0,0,1,0),
/*  /   */ N(n,4,4,2,1,1,0),
/*  0   */ N(n,7,5,5,5,7,0),
/*  1   */ N(n,4,4,4,4,4,0),
/*  2   */ N(n,7,4,7,1,7,0),
/*  3   */ N(n,7,4,7,4,7,0),
/*  4   */ N(n,5,5,7,4,4,0),
/*  5   */ N(n,7,1,7,4,7,0),
/*  6   */ N(n,7,1,7,5,7,0),
/*  7   */ N(n,7,4,4,4,4,0),
/*  8   */ N(n,7,5,7,5,7,0),
/*  9   */ N(n,7,5,7,4,7,0),
/*  :   */ N(n,0,2,0,2,0,0),
/*  ;   */ N(n,0,2,0,2,1,0),
/*  <   */ N(n,4,2,1,2,4,0),
/*  =   */ N(n,0,7,0,7,0,0),
/*  >   */ N(n,1,2,4,2,1,0),
/*  ?   */ N(n,2,5,4,2,2,0),
/*  @   */ N(n,0,0,0,0,0,0),
/*  A   */ N(n,2,5,7,5,5,0),
/*  B   */ N(n,3,5,3,5,3,0),
/*  C   */ N(n,6,1,1,1,6,0),
/*  D   */ N(n,3,5,5,5,3,0),
/*  E   */ N(n,7,1,3,1,7,0),
/*  F   */ N(n,7,1,3,1,1,0),
/*  G   */ N(n,6,1,5,5,6,0),
/*  H   */ N(n,5,5,7,5,5,0),
/*  I   */ N(n,7,2,2,2,7,0),
/*  J   */ N(n,6,4,4,5,2,0),
/*  K   */ N(n,5,3,1,3,5,0),
/*  L   */ N(n,1,1,1,1,7,0),
/*  M   */ N(n,5,7,5,5,5,0),
/*  N   */ N(n,5,7,7,7,5,0),
/*  O   */ N(n,2,5,5,5,2,0),
/*  P   */ N(n,3,5,3,1,1,0),
/*  Q   */ N(n,2,5,5,5,6,0),
/*  R   */ N(n,3,5,3,3,5,0),
/*  S   */ N(n,6,1,7,4,3,0),
/*  T   */ N(n,7,2,2,2,2,0),
/*  U   */ N(n,5,5,5,5,2,0),
/*  V   */ N(n,5,5,5,2,2,0),
/*  W   */ N(n,5,5,7,7,5,0),
/*  X   */ N(n,5,5,2,5,5,0),
/*  Y   */ N(n,5,5,2,2,2,0),
/*  Z   */ N(n,7,4,2,1,7,0),
/*  [,  */ N(n,4,2,1,2,4,0),
/*  \   */ N(n,1,1,2,4,4,0),
/*  ]   */ N(n,1,2,4,2,1,0),
/*  ^   */ N(n,2,5,0,0,0,0),
/*  _   */ N(n,0,0,0,0,7,0),
/*  `   */ N(n,1,2,0,0,0,0),
/*  a   */ N(n,0,0,0,0,0,0),
/*  b   */ N(n,0,0,0,0,0,0),
/*  c   */ N(n,0,0,0,0,0,0),
/*  d   */ N(n,0,0,0,0,0,0),
/*  e   */ N(n,0,0,0,0,0,0),
/*  f   */ N(n,0,0,0,0,0,0),
/*  g   */ N(n,0,0,0,0,0,0),
/*  h   */ N(n,0,0,0,0,0,0),
/*  i   */ N(n,0,0,0,0,0,0),
/*  j   */ N(n,0,0,0,0,0,0),
/*  k   */ N(n,0,0,0,0,0,0),
/*  l   */ N(n,0,0,0,0,0,0),
/*  m   */ N(n,0,0,0,0,0,0),
/*  n   */ N(n,0,0,0,0,0,0),
/*  o   */ N(n,0,0,0,0,0,0),
/*  p   */ N(n,0,0,0,0,0,0),
/*  q   */ N(n,0,0,0,0,0,0),
/*  r   */ N(n,0,0,0,0,0,0),
/*  s   */ N(n,0,0,0,0,0,0),
/*  t   */ N(n,0,0,0,0,0,0),
/*  u   */ N(n,0,0,0,0,0,0),
/*  v   */ N(n,0,0,0,0,0,0),
/*  w   */ N(n,0,0,0,0,0,0),
/*  x   */ N(n,0,0,0,0,0,0),
/*  y   */ N(n,0,0,0,0,0,0),
/*  z   */ N(n,0,0,0,0,0,0),
/*  {,  */ N(n,4,2,1,2,4,0),
/*  |   */ N(n,2,2,2,2,2,0),
/*  }   */ N(n,1,2,4,2,1,0),
/*  ~   */ N(n,0,0,0,0,0,0),
/* \x7f */ N(n,0,0,0,0,0,0),
/* \x80 */ N(n,0,0,0,0,0,0),
/* \x81 */ N(n,0,0,0,0,0,0),
/* \x82 */ N(n,0,0,0,0,0,0),
/* \x83 */ N(n,0,0,0,0,0,0),
/* \x84 */ N(n,0,0,0,0,0,0),
/* \x85 */ N(n,0,0,0,0,0,0),
/* \x86 */ N(n,0,0,0,0,0,0),
/* \x87 */ N(n,0,0,0,0,0,0),
/* \x88 */ N(n,0,0,0,0,0,0),
/* \x89 */ N(n,0,0,0,0,0,0),
/* \x8a */ N(n,0,0,0,0,0,0),
/* \x8b */ N(n,0,0,0,0,0,0),
/* \x8c */ N(n,0,0,0,0,0,0),
/* \x8d */ N(n,0,0,0,0,0,0),
/* \x8e */ N(n,0,0,0,0,0,0),
/* \x8f */ N(n,0,0,0,0,0,0),
/* \x90 */ N(n,0,0,0,0,0,0),
/* \x91 */ N(n,0,0,0,0,0,0),
/* \x92 */ N(n,0,0,0,0,0,0),
/* \x93 */ N(n,0,0,0,0,0,0),
/* \x94 */ N(n,0,0,0,0,0,0),
/* \x95 */ N(n,0,0,0,0,0,0),
/* \x96 */ N(n,0,0,0,0,0,0),
/* \x97 */ N(n,0,0,0,0,0,0),
/* \x98 */ N(n,0,0,0,0,0,0),
/* \x99 */ N(n,0,0,0,0,0,0),
/* \x9a */ N(n,0,0,0,0,0,0),
/* \x9b */ N(n,0,0,0,0,0,0),
/* \x9c */ N(n,0,0,0,0,0,0),
/* \x9d */ N(n,0,0,0,0,0,0),
/* \x9e */ N(n,0,0,0,0,0,0),
/* \x9f */ N(n,0,0,0,0,0,0),
/* \xa0 */ N(n,0,0,0,0,0,0),
/* \xa1 */ N(n,0,0,0,0,0,0),
/* \xa2 */ N(n,0,0,0,0,0,0),
/* \xa3 */ N(n,0,0,0,0,0,0),
/* \xa4 */ N(n,0,0,0,0,0,0),
/* \xa5 */ N(n,0,0,0,0,0,0),
/* \xa6 */ N(n,0,0,0,0,0,0),
/* \xa7 */ N(n,0,0,0,0,0,0),
/* \xa8 */ N(n,0,0,0,0,0,0),
/* \xa9 */ N(n,0,0,0,0,0,0),
/* \xaa */ N(n,0,0,0,0,0,0),
/* \xab */ N(n,0,0,0,0,0,0),
/* \xac */ N(n,0,0,0,0,0,0),
/* \xad */ N(n,0,0,0,0,0,0),
/* \xae */ N(n,0,0,0,0,0,0),
/* \xaf */ N(n,0,0,0,0,0,0),
/* \xb0 */ N(n,0,0,0,0,0,0),
/* \xb1 */ N(n,0,0,0,0,0,0),
/* \xb2 */ N(n,0,0,0,0,0,0),
/* \xb3 */ N(n,0,0,0,0,0,0),
/* \xb4 */ N(n,0,0,0,0,0,0),
/* \xb5 */ N(n,0,0,0,0,0,0),
/* \xb6 */ N(n,0,0,0,0,0,0),
/* \xb7 */ N(n,0,0,0,0,0,0),
/* \xb8 */ N(n,0,0,0,0,0,0),
/* \xb9 */ N(n,0,0,0,0,0,0),
/* \xba */ N(n,0,0,0,0,0,0),
/* \xbb */ N(n,0,0,0,0,0,0),
/* \xbc */ N(n,0,0,0,0,0,0),
/* \xbd */ N(n,0,0,0,0,0,0),
/* \xbe */ N(n,0,0,0,0,0,0),
/* \xbf */ N(n,0,0,0,0,0,0),
/* \xc0 */ N(n,0,0,0,0,0,0),
/* \xc1 */ N(n,0,0,0,0,0,0),
/* \xc2 */ N(n,0,0,0,0,0,0),
/* \xc3 */ N(n,0,0,0,0,0,0),
/* \xc4 */ N(n,0,0,0,0,0,0),
/* \xc5 */ N(n,0,0,0,0,0,0),
/* \xc6 */ N(n,0,0,0,0,0,0),
/* \xc7 */ N(n,0,0,0,0,0,0),
/* \xc8 */ N(n,0,0,0,0,0,0),
/* \xc9 */ N(n,0,0,0,0,0,0),
/* \xca */ N(n,0,0,0,0,0,0),
/* \xcb */ N(n,0,0,0,0,0,0),
/* \xcc */ N(n,0,0,0,0,0,0),
/* \xcd */ N(n,0,0,0,0,0,0),
/* \xce */ N(n,0,0,0,0,0,0),
/* \xcf */ N(n,0,0,0,0,0,0),
/* \xd0 */ N(n,0,0,0,0,0,0),
/* \xd1 */ N(n,0,0,0,0,0,0),
/* \xd2 */ N(n,0,0,0,0,0,0),
/* \xd3 */ N(n,0,0,0,0,0,0),
/* \xd4 */ N(n,0,0,0,0,0,0),
/* \xd5 */ N(n,0,0,0,0,0,0),
/* \xd6 */ N(n,0,0,0,0,0,0),
/* \xd7 */ N(n,0,0,0,0,0,0),
/* \xd8 */ N(n,0,0,0,0,0,0),
/* \xd9 */ N(n,0,0,0,0,0,0),
/* \xda */ N(n,0,0,0,0,0,0),
/* \xdb */ N(n,0,0,0,0,0,0),
/* \xdc */ N(n,0,0,0,0,0,0),
/* \xdd */ N(n,0,0,0,0,0,0),
/* \xde */ N(n,0,0,0,0,0,0),
/* \xdf */ N(n,0,0,0,0,0,0),
/* \xe0 */ N(n,0,0,0,0,0,0),
/* \xe1 */ N(n,0,0,0,0,0,0),
/* \xe2 */ N(n,0,0,0,0,0,0),
/* \xe3 */ N(n,0,0,0,0,0,0),
/* \xe4 */ N(n,0,0,0,0,0,0),
/* \xe5 */ N(n,0,0,0,0,0,0),
/* \xe6 */ N(n,0,0,0,0,0,0),
/* \xe7 */ N(n,0,0,0,0,0,0),
/* \xe8 */ N(n,0,0,0,0,0,0),
/* \xe9 */ N(n,0,0,0,0,0,0),
/* \xea */ N(n,0,0,0,0,0,0),
/* \xeb */ N(n,0,0,0,0,0,0),
/* \xec */ N(n,0,0,0,0,0,0),
/* \xed */ N(n,0,0,0,0,0,0),
/* \xee */ N(n,0,0,0,0,0,0),
/* \xef */ N(n,0,0,0,0,0,0),
/* \xf0 */ N(n,0,0,0,0,0,0),
/* \xf1 */ N(n,0,0,0,0,0,0),
/* \xf2 */ N(n,0,0,0,0,0,0),
/* \xf3 */ N(n,0,0,0,0,0,0),
/* \xf4 */ N(n,0,0,0,0,0,0),
/* \xf5 */ N(n,0,0,0,0,0,0),
/* \xf6 */ N(n,0,0,0,0,0,0),
/* \xf7 */ N(n,0,0,0,0,0,0),
/* \xf8 */ N(n,0,0,0,0,0,0),
/* \xf9 */ N(n,0,0,0,0,0,0),
/* \xfa */ N(n,0,0,0,0,0,0),
/* \xfb */ N(n,0,0,0,0,0,0),
/* \xfc */ N(n,0,0,0,0,0,0),
/* \xfd */ N(n,0,0,0,0,0,0),
/* \xfe */ N(n,0,0,0,0,0,0),
/* \xff */ N(n,0,0,0,0,0,0)
};


#undef r
#undef n
#undef N
